Subject: Re: bug#41908: guix time-machine fails; XXXX is not related to introductory commit of channel 'guix'

From: zimoun <[email-masked]>
Date: Fri, 19 Jun 2020 01:02:39 +0200

Sorry, I hit C-c C-c in the wrong buffer and sent the email before
finished it. :-)

CC: Ludo because I do not really understand all the new machinery and
what is the correct solution:
 - remove/tweak the file "~/.cache/guix/authentication/channels/guix""
or
 - use "--disable-authentication"
or
 - is it a real bug? :-)
? 

On Fri, 19 Jun 2020 at 00:29, zimoun <[email-masked]> wrote:

> It seems related to the new machinery about authentication, i.e., I guess:
>
> 838ac881ec * time-machine: Add '--disable-authentication'.

[...]

> But with the new option "--disable-authentication", it works -- even it
> is maybe not what you want.

What do you have in the file ~/.cache/guix/authentication/channels/guix?

Well, basically if I run with a fresh
~/.cache/guix/authentication/channels/guix, it works as expected:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=36640207c9543e48cd6daa92930f023f80065a5d -- help
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 3664020 (664 new commits)...
Computing Guix derivation for 'x86_64-linux'... /
--8<---------------cut here---------------end--------------->8---

however, if I re-run the exact same command, it fails:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=36640207c9543e48cd6daa92930f023f80065a5d -- help
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
guix time-machine: error: '36640207c9543e48cd6daa92930f023f80065a5d' is not related to introductory commit of channel 'guix'
--8<---------------cut here---------------end--------------->8---

and the file says:

--8<---------------cut here---------------start------------->8---
$ cat ~/.cache/guix/authentication/channels/guix
;; List of previously-authenticated commits.

("36640207c9543e48cd6daa92930f023f80065a5d")
--8<---------------cut here---------------end--------------->8---

Well, I do not know if it does not come from 'start-commit',
'end-commit' and 'authenticated-commits' in guix/channels.scm:
(authenticate-channel).

All the best,
simon